upgrade:
     reporter: JohnMcGuire
     description: |
       - Remove old ElasticSearch migrations. By removing old ElasticSearch migrations, it will be easier to perform Advanced Search migrations when upgrading GitLab.
       - GitLab 14.0 will only support migrations from GitLab 13.12. All previous versions must be upgraded to GitLab 13.12 before [upgrading to GitLab 14.0, the GitLab's latest major version](https://docs.gitlab.com/ee/update/#upgrading-to-a-new-major-version), to [complete all ElasticSearch migrations](https://docs.gitlab.com/ee/update/#checking-for-pending-elasticsearch-migrations).
